// The following ifdef block is the standard way of creating macros which make exporting
// from a DLL simpler. All files within this DLL are compiled with the MEDIABROADCAST_EXPORTS
// symbol defined on the command line. This symbol should not be defined on any project
// that uses this DLL. This way any other project whose source files include this file see
// MEDIABROADCAST_API functions as being imported from a DLL, whereas this DLL sees symbols
// defined with this macro as being exported.
#ifdef MEDIABROADCAST_EXPORTS
#define MEDIABROADCAST_API __declspec(dllexport)
#else
#define MEDIABROADCAST_API __declspec(dllimport)
#endif

// This class is exported from the dll
class MEDIABROADCAST_API CMediaBroadcast 
{
public:
	CMediaBroadcast(void);
	~CMediaBroadcast(void);

	bool StartStreamingViaRTMP(const wchar_t* micName, const wchar_t* url);
	bool StartStreamingViaRTMP(const wchar_t* camName, const  wchar_t* micName, const wchar_t* url);

	void StopStreaming();

	bool Volume(double volume);

	bool Camera(bool attached);

private:
	void* m_pLibavStreamer;
};

//extern MEDIABROADCAST_API int nMediaBroadcast;

//MEDIABROADCAST_API int fnMediaBroadcast(void);
